package com.rjconsultores.ventaboletos.service;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.ArquivoRemessa;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.FechamentoBoleto;

public interface ArquivoRemessaCNAB extends GenericService<FechamentoBoleto, Long> {

	public ArquivoRemessa remessa(Empresa empresa, Date dataDe, Date dataAte, Boolean reenviar);

	public List<FechamentoBoleto> obtenerTodosParaRemessa(Empresa empresa, Date dataDe, Date dataAte, Boolean reenviar);
	
	public Boolean atualizaRemessa(Empresa empresa, ArquivoRemessa arquivoRemessa) throws Exception;

	public List<Empresa> getEmpresas();

	public boolean temPermissao();
	
	public boolean boletosOk(List<FechamentoBoleto> boletos);

	public boolean boletosAEnviar(List<FechamentoBoleto> boletos);
	
}
